package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * LanNetworkVlansOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LanNetworkVlansOpenApiVo   {
  @JsonProperty("vlan")
  private Integer vlan;

  @JsonProperty("lanNetworkId")
  private String lanNetworkId;

  public LanNetworkVlansOpenApiVo vlan(Integer vlan) {
    this.vlan = vlan;
    return this;
  }

  /**
   * Created vlan in site. Valid range is from 2 to 4090 in \"Oui based vlan\".
   * @return vlan
  */
  @ApiModelProperty(value = "Created vlan in site. Valid range is from 2 to 4090 in \"Oui based vlan\".")


  public Integer getVlan() {
    return vlan;
  }

  public void setVlan(Integer vlan) {
    this.vlan = vlan;
  }

  public LanNetworkVlansOpenApiVo lanNetworkId(String lanNetworkId) {
    this.lanNetworkId = lanNetworkId;
    return this;
  }

  /**
   * Lan network ID.
   * @return lanNetworkId
  */
  @ApiModelProperty(value = "Lan network ID.")


  public String getLanNetworkId() {
    return lanNetworkId;
  }

  public void setLanNetworkId(String lanNetworkId) {
    this.lanNetworkId = lanNetworkId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LanNetworkVlansOpenApiVo lanNetworkVlansOpenApiVo = (LanNetworkVlansOpenApiVo) o;
    return Objects.equals(this.vlan, lanNetworkVlansOpenApiVo.vlan) &&
        Objects.equals(this.lanNetworkId, lanNetworkVlansOpenApiVo.lanNetworkId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vlan, lanNetworkId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LanNetworkVlansOpenApiVo {\n");
    
    sb.append("    vlan: ").append(toIndentedString(vlan)).append("\n");
    sb.append("    lanNetworkId: ").append(toIndentedString(lanNetworkId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

